+++
title = "Swan"
description = "Accessing NRDStor From Swan"
weight=30
+++




NRDStor has two current methods of access, directly on Swan similar to the existing filesystems and through the Samba protocol on a laptop, desktop, or workstation connected to an NU network. 

### From Swan

{{% notice info %}}
You can access your NRDStor directory quickly using the $NRDSTOR
environmental variable (i.e. '`cd $NRDSTOR`')
{{% /notice %}}

Unlike the /home, /work, and /common filesystems that are prefixed by their name and use the notation of **/filesystem/groupname/username**, NRDStor uses **/mnt/nrdstor/groupname/username**.


For example, for an account with the username of "hccdemo" and a group of "demo", the locations of this account's directories:

{{< highlight bash >}}

Home    - /home/demo/hccdemo
Work    - /work/demo/hccdemo
Common  - /common/demo/hccdemo
NRDStor - /mnt/nrdstor/demo/hccdemo

{{< /highlight >}}



Next: [Accessing NRDStor from Windows]({{< relref "Windows" >}})
