+++
title = "Adding SSH Key Pairs"
description = "How to add key pairs to your OpenStack account."
+++

If you have not already generated your key pairs and need help doing so,
please see the documentation that relates to your operating system:

- [Creating SSH key pairs on Mac]({{< relref "creating_ssh_key_pairs_on_mac" >}})
- [Creating SSH key pairs on Windows]({{< relref "creating_ssh_key_pairs_on_windows" >}})

{{% notice info %}}
This guide assumes you are either accessing Anvil from on-campus, or are
connected to the [Anvil VPN]({{< relref "connecting_to_the_anvil_vpn" >}}).
{{% /notice %}}

Log into the Anvil web dashboard at **https://anvil.unl.edu** using
your HCC credentials.  On the left-hand side navigation menu,
click *Access & Security*.

{{< figure src="/images/13599031.png" >}}

Choose the *Key Pairs* tab in the main window section.

{{< figure src="/images/13599033.png" >}}

Open your **public** key file, select the entire text, and copy it.  On
the right-hand side, click the *Import Key Pair* button.

{{< figure src="/images/13599036.png" >}}

In the pop-up window, fill in the *Key Pair Name* field with a
convenient name.  Paste the copied public key text in the larger *Public
Key* box.

{{< figure src="/images/13599039.png" width="650" >}}

Click the *Import Key Pair* button to close the pop-up and save the key.
 You should then see an entry with the saved key (the fingerprint value
will be different than the example below).

{{< figure src="/images/13599043.png" >}}

The key pair can now be associated with any newly created instances.

