+++
title = "File Transfer with WinSCP"
description = "Transfering Files to and from HCC Clusters using the WinSCP Client"
weight = "20"
+++

### WinSCP

WinSCP: http://winscp.net/eng/download.php

Usually it is convenient to upload and download files between your personal computer 
and the HCC supercomputers through a Graphic User Interface (GUI).
Download and install the third party application **WinSCP**
to connect the file systems between your personal computer and the HCC supercomputers. 
Below is a step-by-step installation guide. Here we use the HCC cluster **Swan**
for demonstration. 

1.  On the first screen, type `swan.unl.edu` for Host name, enter your
    HCC account username and password for User name and Password. Then
    click on **Login**.

    {{< figure src="/images/3178530.png" height="450" >}}

2.  On the second screen, click on **Yes**.  

    {{< figure src="/images/3178531.png" >}}

3.  Choose option "1" and press "Enter". Or simply press your Yubikey if
    you have one.

    {{< figure src="/images/8127268.png" >}}      

4.  On the third screen, click on **Remote**. Under Remote, choose Go To
    and Open Directory/Bookmark. Alternatively, you can use the keyboard
    shortcut "Ctrl + O".

    {{< figure src="/images/3178532.png" height="450" >}}

5.  On the final screen, type `/work/<group name>/<username>` for Open
    directory. Use your HCC group name and username to replace
    `<group name>` and `<username>`. Then click on **OK**.  

    {{< figure src="/images/3178533.png" height="450" >}}

6.  Now you can drop and drag the files between your personal computer
    and the HCC supercomputers.   
    {{< figure src="/images/WinSCPUploadDownload.png" height="450" >}}



